Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.command
Interface CommandRegistry

All Known Implementing Classes:
  LocalCommandRegistry

    public interface CommandRegistry

A Command Registry.

Version:
  1.0

  Version History

      EPG - Initial - 12 FEB 06

Author:
  Erich P. Gatejen

Field Summary
`static java.lang.String` | `NOT_NAMED`

Method Summary
`CommandDefinition` | `get(java.lang.String name)` Get a command.
`CommandRegistry` | `getGlobalRegistry()` Get the generic global registry.
`boolean` | `has(java.lang.String name)` Does it have a command registered by this name?
`void` | `register(java.lang.String name, CommandDefinition command)` Register a command.

Field Detail

### NOT_NAMED

    static final java.lang.String NOT_NAMED

Method Detail

### getGlobalRegistry

    CommandRegistry getGlobalRegistry()

  Get the generic global registry.

  Returns:
    a reference to the system

### has

    boolean has(java.lang.String name)

  Does it have a command registered by this name?

  Parameters:
    `name` - The name.
  Returns:
    true if it does, otherwise false.

### register

    void register(java.lang.String name,
                  CommandDefinition command)
                  throws SystemException

  Register a command. It will throw an exception if the command is already registered.

  Parameters:
    `name` - The name.
    `command` - The command.
  Throws:
    `SystemException`
  See Also:
    `SystemException`

### get

    CommandDefinition get(java.lang.String name)
                          throws SystemException

  Get a command. It will throw an exception if the command is not registered.

  Parameters:
    `name` - The name.
  Returns:
    The definition.
  Throws:
    `SystemException`
  See Also:
    `SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.